## ECalSourceConfig

ECalSourceConfig

## Functions

GtkWidget * | e_cal_source_config_new ()
ECalClientSourceType | e_cal_source_config_get_source_type ()
void | e_cal_source_config_add_offline_toggle ()

## Properties

ECalClientSourceType | source-type | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ESourceConfig
                            ╰── ECalSourceConfig

## Description

## Functions

### e_cal_source_config_new ()

    GtkWidget *
    e_cal_source_config_new (ESourceRegistry *registry,
                             ESource *original_source,
                             ECalClientSourceType source_type);

### e_cal_source_config_get_source_type ()

    ECalClientSourceType
    e_cal_source_config_get_source_type (ECalSourceConfig *config);

### e_cal_source_config_add_offline_toggle ()

    void
    e_cal_source_config_add_offline_toggle
                                   (ECalSourceConfig *config,
                                    ESource *scratch_source);

## Property Details

### The `“source-type”` property

      “source-type”              ECalClientSourceType

The iCalendar object type.

Owner: ECalSourceConfig

Flags: Read / Write / Construct Only

Default value: E_CAL_CLIENT_SOURCE_TYPE_EVENTS